Package twisted :: Package protocols :: Module oscar :: Class OscarAuthenticator

[show private | hide private]
[frames | no frames]

## Class OscarAuthenticator

    BaseProtocol --+
                   |
            Protocol --+
                       |
         OscarConnection --+
                           |
                          OscarAuthenticator

Method Summary
| `__init__(self, username, password, deferred, icq)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `OscarConnection`)
| ``connectionMade`(self)` Called when a connection is made. (inherited from `OscarConnection`)
| ``dataReceived`(self, data)` Called whenever data is received. (inherited from `OscarConnection`)
| ``disconnect`(self)` send the disconnect flap, and sever the connection (inherited from `OscarConnection`)
| `error(self, error, url)`
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| `oscar_(self, flap)`
| `oscar_Cookie(self, data)`
| `oscar_Key(self, data)`
| `oscar_None(self, data)`
| `readFlap(self)` (inherited from `OscarConnection`)
| `sendFLAP(self, data, channel)` (inherited from `OscarConnection`)
| `sendKeepAlive(self)` (inherited from `OscarConnection`)
| `setKeepAlive(self, t)` (inherited from `OscarConnection`)
| `stopKeepAlive(self)` (inherited from `OscarConnection`)

Class Variable Summary
`class` | `BOSConnection`

Class Variable Details

### BOSConnection

`BOSConnection` = `twisted.protocols.oscar.BOSConnection`

Generated by Epydoc 1.1 on Sat Feb 15 21:19:14 2003 | http://epydoc.sf.net